#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,k,a,br=0;


    cin>>n>>k;
    long long nizpoz[n+1]={0};
    long long nizneg[n+1]={0};

    for(int i=0;i<n;i++)
    {
        cin>>a;
        if(a<0)
        {
            a*=(-1);
            nizneg[a]++;
        }

        if(a>=0) nizpoz[a]++;


    }

    for(int i=0;i<=n;i++)
    {
        if(nizpoz[i]>=k) br++;
        if(nizneg[i]>=k) br++;

    }

    cout<<br<<"\n";

    for(int i=0;i<=n;i++)
    {
        if(nizpoz[i]>=k) cout<<i<<" ";
        if(nizneg[i]>=k) cout<<(-1)*i<<" ";

    }

    return 0;
}